Index: src/device.h
===================================================================
--- src/device.h	(revision 235)
+++ src/device.h	(working copy)
@@ -36,6 +36,8 @@
 #   include <sys/uio.h>                                      /* struct iovec */
 #endif
 
+#include "dvdcss/dvdcss.h"
+
 #if defined( WIN32 ) && !defined( SYS_CYGWIN )
 struct iovec
 {
Index: src/libdvdcss.h
===================================================================
--- src/libdvdcss.h	(revision 235)
+++ src/libdvdcss.h	(working copy)
@@ -25,6 +25,11 @@
 #ifndef DVDCSS_LIBDVDCSS_H
 #define DVDCSS_LIBDVDCSS_H
 
+#include <limits.h>
+
+#include "dvdcss/dvdcss.h"
+#include "css.h"
+
 struct iovec;
 
 /*****************************************************************************
Index: src/css.h
===================================================================
--- src/css.h	(revision 235)
+++ src/css.h	(working copy)
@@ -30,6 +30,8 @@
 #ifndef DVDCSS_CSS_H
 #define DVDCSS_CSS_H
 
+#include "dvdcss/dvdcss.h"
+
 #define KEY_SIZE 5
 
 typedef uint8_t dvd_key_t[KEY_SIZE];
